Subject: Re: [lamps] struggling with CSRAttrs

From: Michael Richardson <[email-masked]>
Date: Fri, 30 Sep 2022 18:32:19 +0200

David von Oheimb <[email-masked]> wrote:
    > I believe we should clarify that

    >  * There MUST be /at most one/ attribute describing X.509 extensions,
    > i.e., one bearing the OID extensionRequest (1.2.840.113549.1.9.14) as
    > its type.

    > * The set in such an X.509 extension value MUST contain
    > exactly one element.

    > * The value of such an attribute MUST be of type
    > Extensions, i.e., a sequence of Extension.

I've opened issue:
https://github.com/mcr/lamps-rfc7030-csrattrs/issues/7

to track this.  I'm not really sure where to put this text yet.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-